取得測試結果
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}取得測試結果
取得測試套件的測試結果
GET
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
/
results
取得測試結果
請求
GET https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results
路徑參數
專案 ID
測試套件 ID
標頭
使用您的 Developer Key 進行 Bearer 令牌認證
回應
測試結果物件的陣列,每筆皆包含
testCaseResults,其中巢狀著 criteriaResults。範例
curl https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results \
-H "Authorization: Bearer dk_your_key"
{
"data": [
{
"id": "test-result-uuid",
"testSuiteId": "test-suite-uuid",
"projectId": "project-uuid",
"name": "Run #1",
"status": "completed",
"startedAt": "2026-03-23T00:00:00.000Z",
"completedAt": "2026-03-23T00:01:00.000Z",
"testCaseResults": [
{
"id": "test-case-result-uuid",
"testResultId": "test-result-uuid",
"testCaseId": "test-case-uuid",
"status": "passed",
"messages": [],
"criteriaResults": [
{
"id": "criteria-result-uuid",
"testCaseResultId": "test-case-result-uuid",
"criterionId": "criterion-uuid",
"passed": true,
"reason": "Agent greeted the user correctly"
}
]
}
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:01:00.000Z"
}
]
}
⌘I
